CURLOPT_ERRORBUFFER(3)

NAME
CURLOPT_ERRORBUFFER - set error buffer for error messages

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_ERRORBUFFER, [argument]);

DESCRIPTION
Pass a char * to a buffer that the libcurl may store human readable error messages in on failures or problems. This may be more helpful than just the return code from curl_easy_perform(3) and related functions. The buffer must be at least CURL_ERROR_SIZE bytes big. You must keep the associated buffer available until libcurl no longer needs it. Failing to do so will cause very odd behavior or even crashes. libcurl will need it until you call curl_easy_cleanup(3) or you set the same option again to use a different pointer. Consider CURLOPT_VERBOSE(3) and CURLOPT_DEBUGFUNCTION(3) to better debug and trace why errors happen. If the library does not return an error, the buffer may not have been touched. Do not rely on the contents in those cases.

DEFAULT
NULL

PROTOCOLS
All

EXAMPLE
TODO

AVAILABILITY
Always

RETURN VALUE
Returns CURLE_OK

SEE ALSO
CURLOPT_DEBUGFUNCTION(3), CURLOPT_VERBOSE(3),